!DEC$ FREEFORM

!
!  Copyright 2001 Compaq Computer Corporation
!  
!  Compaq and the Compaq logo Registered in U.S. Patent and Trademark
!  Office.
!  
!  Confidential computer software.  Valid license from Compaq required for
!  possession, use or copying.  Consistent with FAR 12.211 and 12.212,
!  Commerical Computer Software, Computer Software Documentation, and
!  Technical Data for Commmerical Items are licensed to the U.S. Government
!  under vendor's standard commerical license.
!

!DEC$ IF .NOT. DEFINED( __sparse_blas_z_include )

   !DEC$ DEFINE __sparse_blas_z_include

   !DEC$ IF DEFINED( _DLL )
      !DEC$ OBJCOMMENT LIB: "cxmldll.lib" 
   !DEC$ ELSE
      !DEC$ OBJCOMMENT LIB: "cxml.lib" 
   !DEC$ ENDIF

   INTERFACE
      SUBROUTINE zaxpyi(nz,a,x,indx,y)
         !DEC$ ATTRIBUTES DEFAULT :: zaxpyi
         INTEGER(KIND=4) :: nz
         COMPLEX(KIND=8) :: a
         COMPLEX(KIND=8) :: x(*)
         INTEGER(KIND=4) :: indx(*)
         COMPLEX(KIND=8) :: y(*)
      END SUBROUTINE zaxpyi
   END INTERFACE

   INTERFACE
      FUNCTION zdotci(nz,x,indx,y)
         !DEC$ ATTRIBUTES DEFAULT :: zdotci
         INTEGER(KIND=4) :: nz
         COMPLEX(KIND=8) :: x(*)
         INTEGER(KIND=4) :: indx(*)
         COMPLEX(KIND=8) :: y(*)
         COMPLEX(KIND=8) :: zdotci
      END FUNCTION zdotci
   END INTERFACE

   INTERFACE
      FUNCTION zdotui(nz,x,indx,y)
         !DEC$ ATTRIBUTES DEFAULT :: zdotui
         INTEGER(KIND=4) :: nz
         COMPLEX(KIND=8) :: x(*)
         INTEGER(KIND=4) :: indx(*)
         COMPLEX(KIND=8) :: y(*)
         COMPLEX(KIND=8) :: zdotui
      END FUNCTION zdotui
   END INTERFACE

   INTERFACE
      SUBROUTINE zgthr(nz,y,x,indx)
         !DEC$ ATTRIBUTES DEFAULT :: zgthr
         INTEGER(KIND=4) :: nz
         COMPLEX(KIND=8) :: y(*)
         COMPLEX(KIND=8) :: x(*)
         INTEGER(KIND=4) :: indx(*)
      END SUBROUTINE zgthr
   END INTERFACE

   INTERFACE
      SUBROUTINE zgthrs(nz,a,y,x,indx)
         !DEC$ ATTRIBUTES DEFAULT :: zgthrs
         INTEGER(KIND=4) :: nz
         COMPLEX(KIND=8) :: a
         COMPLEX(KIND=8) :: y(*)
         COMPLEX(KIND=8) :: x(*)
         INTEGER(KIND=4) :: indx(*)
      END SUBROUTINE zgthrs
   END INTERFACE

   INTERFACE
      SUBROUTINE zgthrz(nz,y,x,indx)
         !DEC$ ATTRIBUTES DEFAULT :: zgthrz
         INTEGER(KIND=4) :: nz
         COMPLEX(KIND=8) :: y(*)
         COMPLEX(KIND=8) :: x(*)
         INTEGER(KIND=4) :: indx(*)
      END SUBROUTINE zgthrz
   END INTERFACE

   INTERFACE
      SUBROUTINE zsctr(nz,x,indx,y)
         !DEC$ ATTRIBUTES DEFAULT :: zsctr
         INTEGER(KIND=4) :: nz
         COMPLEX(KIND=8) :: x(*)
         INTEGER(KIND=4) :: indx(*)
         COMPLEX(KIND=8) :: y(*)
      END SUBROUTINE zsctr
   END INTERFACE

   INTERFACE
      SUBROUTINE zsctrs(nz,a,x,indx,y)
         !DEC$ ATTRIBUTES DEFAULT :: zsctrs
         INTEGER(KIND=4) :: nz
         COMPLEX(KIND=8) :: a
         COMPLEX(KIND=8) :: x(*)
         INTEGER(KIND=4) :: indx(*)
         COMPLEX(KIND=8) :: y(*)
      END SUBROUTINE zsctrs
   END INTERFACE

   INTERFACE
      SUBROUTINE zsumi(nz,x,indx,y)
         !DEC$ ATTRIBUTES DEFAULT :: zsumi
         INTEGER(KIND=4) :: nz
         COMPLEX(KIND=8) :: x(*)
         INTEGER(KIND=4) :: indx(*)
         COMPLEX(KIND=8) :: y(*)
      END SUBROUTINE zsumi
   END INTERFACE

!DEC$ ENDIF
